<nav id="menu" class="navbar navbar-expand-xl navbar-dark bg-primary">
    <a class="navbar-brand font-weight-bold d-xl-none" href="{{ path('app_homepage') }}">
        {{ app_name }}
    </a>
    <div class="navbar-logo position-absolute d-none d-xl-block">
        <a href="{{ path('app_homepage') }}"><img class="img-fluid mx-auto" src="{{ asset('logo-quimper.webp') }}" alt="Logo"></a>
    </div>

    <button class="navbar-toggler text-white p-2" type="button" id="menu-btn">
        <i class="fa fa-bars"></i>
    </button>
    <div class="collapse navbar-collapse">
        {{ render(path('app_block_menu')) }}

        <!-- Informations sur le compte utilisateur ou connexion -->
        {% if app.user %}
            <ul class="navbar-nav nav-flex-icons d-none d-xl-block">
                {% if is_granted('ROLE_WEBMASTER') %}
                    <li class="nav-item dropdown">
                        <a href="#" class="nav-link dropdown-toggle text-white" id="dropdown-admin" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="d-none">Menu d'administration</span><i class="fa fa-cogs"></i>
                        </a>
                        <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown-user">
                            <li class="nav-item h3 text-white mx-2">Administration</li>
                            <li class="nav-item h5 text-white mx-2">Contenus</li>
                            <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'news'}) }}">Actualités</a></li>
                            <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'event'}) }}">Événements</a></li>
                            <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'result'}) }}">Résultats</a></li>
                            <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'map'}) }}">Cartes</a></li>
                            {% if is_granted('ROLE_ADMIN') %}
                                <li class="nav-item h5 text-white mx-2">Référentiels</li>
                                <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'format'}) }}">Types d'évènements</a></li>
                                <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'menu'}) }}">Menu</a></li>
                                <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'link'}) }}">Pied de page</a></li>
                                <li class="nav-item h5 text-white mx-2">Utilisateurs</li>
                                <li class="nav-item"><a class="nav-link py-1" href="{{ path('pi_crud_admin', {'type': 'user'}) }}">Rôles</a></li>
                            {% endif %}
                        </ul>
                    </li>
                {% endif %}
            </ul>
            <ul class="navbar-nav nav-flex-icons d-none d-xl-block">
                <li class="nav-item dropdown">
                    <a href="#" class="nav-link dropdown-toggle text-white" id="dropdown-user" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <span class="d-none">Menu utilisateur</span><i class="fa fa-user"></i>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown-user">
                        <li class="nav-item h3 text-white mx-2">Mon compte</li>
                        <li class="nav-item h6 text-white mx-2">{{ app.user.email }}</li>
                        <li class="nav-item">
                            <a class="nav-link py-1" href="{{ path('app_profile') }}">
                                <i class="fa fa-user-circle mr-2" aria-hidden="true"></i>
                                Mon espace personnel
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link py-1" href="{{ path('app_logout') }}">
                                <i class="fa fa-sign-out-alt mr-2" aria-hidden="true"></i>
                                Se déconnecter
                            </a>
                        </li>
                    </ul>
                </li>
            </ul>
        {% else %}
            <ul class="navbar-nav ml-auto nav-flex-icons d-none d-xl-block">
                <li class="nav-item dropdown">
                    <a href="#" class="nav-link dropdown-toggle text-white" id="dropdown-user" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-user"></i> Mon compte
                    </a>
                    <ul class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown-user">
                        <li class="nav-item"><a class="nav-link py-1" href="{{ path('app_login') }}">
                            <i class="fa fa-sign-in-alt mr-2" aria-hidden="true"></i>
                            Se connecter
                        </a></li>
                        <li class="nav-item"><a class="nav-link py-1" href="{{ path('app_register') }}">
                            <i class="fa fa-user-plus mr-2" aria-hidden="true"></i>
                            S'inscrire
                        </a></li>
                    </ul>
                </li>
            </ul>
        {% endif %}
    </div>
</nav>

<div class="" id="mobile-nav-content">
    <div class="container-xl">
        <div class="row position-fixed w-100">
            <div class="col-12">
                <a class="navbar-brand text-white font-weight-bold d-xl-none" href="{{ path('app_homepage') }}">
                    {{ app_name }}
                </a>
                <button class="navbar-toggler text-white p-2 float-right h-100" type="button" id="close-menu-btn">
                    <i class="fa fa-times"></i>
                </button>
            </div>
        </div>

        <div class="row py-5">
            <div class="col-10 m-4">
                {{ render(path('app_block_menu', {format: 'mobile'})) }}
            </div>

            <div class="col-10 border-top border-white offset-1"></div>

            <div class="col-10 m-4">
                {% if is_granted('ROLE_USER') %}
                    <span class="h3 text-primary">{{ app.user.firstName ?? app.user.email }}</span>
                    <a class="d-block text-white my-4" href="{{ path('app_profile') }}"><i class="fa fa-user"></i> Mon espace personnel</a>
                    {% if is_granted('ROLE_WEBMASTER') %}
                        <a class="d-block text-white my-4" href="{{ path('pi_crud_dashboard') }}"><i class="fa fa-gears"></i> Accéder à l'administration</a>
                    {% endif %}
                    <a class="d-block text-white my-4" href="{{ path('app_logout') }}"><i class="fa fa-sign-out"></i> Déconnexion</a>
                {% else %}
                    <a class="d-block btn btn-lg btn-light my-4" href="{{ path('app_register') }}">Se créer un compte</a>
                    <a class="d-block btn btn-outline-light my-4" href="{{ path('app_login') }}">Connexion</a>
                {% endif %}
            </div>
        </div>
    </div>
</div>